package cn.com.qmth.stmms.biz.exam.query;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.SubjectiveScore;

public class SubjectiveScoreSearchQuery extends BaseQuery<SubjectiveScore> {

    private Integer examId;

    private String subjectCode;

    private Integer groupNumber;

    private Double groupStartScore;

    private Double groupEndScore;

    private Double score;

    public void orderByCreateTime() {
        setSort(new Sort(Direction.ASC, "examId", "subjectCode", "groupNumber"));
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Double getGroupStartScore() {
        return groupStartScore;
    }

    public void setGroupStartScore(Double groupStartScore) {
        this.groupStartScore = groupStartScore;
    }

    public Double getGroupEndScore() {
        return groupEndScore;
    }

    public void setGroupEndScore(Double groupEndScore) {
        this.groupEndScore = groupEndScore;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

}
